import React from "react";
import Layout from "@theme/Layout"; 
import useDocusaurusContext from "@docusaurus/useDocusaurusContext";
import styles from "./index.module.css";
import HomepagePromises from "../components/HomepagePromises";
import HomepageFeatures from "../components/HomepageFeatures";
import Link from "@docusaurus/Link";

function HomepageHeader() {
  const { siteConfig } = useDocusaurusContext();
  return (
    <header className={styles.heroBanner}>
      <div className="container">
        <h1 className="hero__title">{siteConfig.title}</h1>
        <p className="hero__subtitle">{siteConfig.tagline}</p>
        <Link className="button button--warning button--lg" to="https://youtu.be/gOCOai6wX_w">
              En savoir plus
        </Link>

      </div>
    </header>      
  );
}

export default function Home() {
  const { siteConfig } = useDocusaurusContext();
  return (
    
    <Layout
      title={siteConfig.themeConfig.navbar.title}
      description="Description will go into a meta tag in <head />"
    >
      <HomepageHeader />
      <main>
        <HomepagePromises />
        <HomepageFeatures />
      </main>
    </Layout>
  );
}
